import request from '@/utils/request'
const baseUrl = '/api/service-ai-eis-precall-center-eistest'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/precallconfig/add',
    method: 'post',
    data: params,
    // params: params
  })
}

// stationupdate
export function update(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/precallconfig/update',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /eisStationService/station/delete

export function deletes(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/precallconfig/delete',
    method: 'post',
    data: params,
    // params: params
  })
}

// 修改是否可用字段 POST

export function updateIsAvailable(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/precallconfig/updateIsAvailable',
    method: 'post',
    data: params,
    // params: params
  })
}
